TRACKINSTALL(1)

NAME
trackinstall - manual page for trackinstall-2.1

DESCRIPTION

trackinstall - Build an installable package from compiled sources or other content in the current directory.

trackinstall [-h(--help), -hh(--more-help), --version, --list]

trackinstall [-ABCHINPSV(VV)W] [-abdinv]

EXTENDED OPTIONS
-E -LANG -[DEST,JAIL,REAL,SAFE,UNION] -[DEB,PET,PET2,TAZ,TBZ,TGZ,TLZ,TXZ,Z1,Z2,Z3,Z4] -LOG -BUMP - -[L32,L64] --libdirsuffix

    Capitalized User Options take no argument:

-A  Auto-generate a TrackBild script if successful.

-B  Keep backup of any files overwritten by this installation.

-I  Install the created package when finished.

-C  Place final package in the current directory.

-CWD
    Use the current directory for all build locations.

-H  Place final package in your home directory.

-N  New TrackBuild script and slack-desc file only.

-P  Preserve permissions in the source directory.

-Q  Query the user for interactive options during package creation.

-S  Run special install commands - 'sh install.sh' by default

-V  DEBUG -show detailed prompts for debugging.

-VV Be verbose. Show all output from the steps.

-W  Wipe up -cleanup temporary files when finished.

-JAIL
    Run installation commands in a 'jailed' root directory.

-REAL
    Run installation commands in the real root filesystem using backup.

-SAFE
    Run installation commands in a SAFE mode(root only). (Implies the -REAL option)

-DEST
    Run installation commands using the DESTDIR variable if possible.

-UNION
    Run installation commands using a unionfs/chroot, if available.

    Lowercase Build Options require an argument separated by the '=' sign: Use quotes '' or "" around the arguments if they contain spaces.

-a  Set the architecture (ARCH) of the package [-a=noarch].

-b  Set the package build/release number [-b=4].

-d  Specify the documents to include [-d='README foo.HOWTO AUTHORS'].

-i  Set the install command line [-i='make install'].

-n  Use alternate name for package and desc file [-n=newname]

-p  Set the installation prefix [-p=/usr] (PRE_FIX='').

-v  Use alternate version number for the package [-v=0.0.0a].

    Help Options:

-h  (--help) Show the help message and then exit.

-hh (--more-help) Show the Advanced Options and then exit.

-v  (--version) Show the src2pkg version and then exit.

--list
    Show a list of the trackinstall instruction functions (for use with --resume= option)

    Extended Options:

--pause=??
    (before|after) Pause before or after running each function.

--resume=??
    Resume a build starting at the named instruction function. Run 'trackinstall --list' to see a list of the named functions.

--splitpkg Create separate 'devel', 'i18n', 'docs' and/or 'solibs' packages.

-E  Use extended database files (slack-required and slack-supplies).

-LANG
    Delete extra language files (man-pages, locale and i18n) files.
    Be sure to configure /etc/src2pkg/DONT_PURGE.locales file first.

-L(32/64)
    Set the LIBDIRSUFFIX variable to adjust installation paths for multilib systems.
    Set to -LNULL(or L0 or -Lnull), if needed, to use no suffix in the installation paths.

--libdirsuffix=??
    As above, but use this syntax if setting to anything besides 32, 64 or NULL.

-DEB
    Create the final package as a debian *.deb archive.

-PET
    Create the final package as a '.pet' archive.

-PET2
    Create the final package as a '.pet' archive for 'woof'.

-RPM
    Create the final package as an '.rpm' archive.

-TAZ
    Create the final package as a slitaz '.tazpkg' archive.

-TBZ
    Use bzip2 to compress the final package.

-TGZ
    Use gzip to compress the final package (this is the default).

-TLZ
    Use lzma to compress the final package.

-TXZ
    Use xz (lzma2) to compress the final package.

-UPX
    Use upx-ucl or upx to compress binaries inside the package.

-EPX
    Use exepak to compress binaries inside the package.

-Z? SAVE_SPACE=? Squeeze packages by using more compression:
    The 'Z' options are cumulative - Z4 does all of Z1, Z2 and Z3.

-Z1 Z1 Use bzip2 instead of gzip for man-pages.

-Z2 Z2 Compresses ELF binaries using upx or upx-ucl if present.

-Z3 Z3 Link to a common copy of the GPL in /usr/share/licences.

-Z4 Z4 Archive the package doc directory and remove 'info' files.

EXAMPLES

    trackinstall -C -W

    Build the package in the current directory and delete temporary files.

    trackinstall -b=2

    Set the BUILD number to '2'

    trackinstall -i='make install install_data'

    install with 'make install install_data (same as running 'make install' and 'make install_data')

    trackinstall -P -S -i='bash ./install.script'

    Preserve permissions and use 'bash ./install.script' instead of 'make install'

USAGE
Calling trackinstall without arguments acts very much like checkinstall, running the command 'make install', tracking whatever directories, files & links are created and then making a Slackware-type tgz package from those files, etc. Using trackinstall with the '-S' option allows you to track other types of installation which use no Makefile.

SEE ALSO
The full documentation for trackinstall is maintained as part of the src2pkg package.

See /usr/doc/src2pkg\-x.x for further usage.